MagickCore: transform.c File Reference

# transform.c File Reference

`#include "magick/studio.h"`
`#include "magick/cache-view.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/composite.h"`
`#include "magick/effect.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/image.h"`
`#include "magick/memory_.h"`
`#include "magick/layer.h"`
`#include "magick/list.h"`
`#include "magick/monitor.h"`
`#include "magick/pixel-private.h"`
`#include "magick/resource_.h"`
`#include "magick/resize.h"`
`#include "magick/statistic.h"`
`#include "magick/string_.h"`
`#include "magick/transform.h"`

## Defines
#define | ChopImageTag "Chop/Image"
#define | CropImageTag "Crop/Image"
#define | ExcerptImageTag "Flip/Image"
#define | FlipImageTag "Flip/Image"
#define | FlopImageTag "Flop/Image"
#define | RollImageTag "Roll/Image"
#define | SpliceImageTag "Splice/Image"
#define | TransposeImageTag "Transpose/Image"
#define | TransverseImageTag "Transverse/Image"
## Functions
MagickExport Image * | ChopImage (const Image *image, const RectangleInfo *chop_info, ExceptionInfo *exception)
MagickExport Image * | ConsolidateCMYKImages (const Image *images, ExceptionInfo *exception)
MagickExport Image * | CropImage (const Image *image, const RectangleInfo *geometry, ExceptionInfo *exception)
MagickExport Image * | ExcerptImage (const Image *image, const RectangleInfo *geometry, ExceptionInfo *exception)
MagickExport Image * | ExtentImage (const Image *image, const RectangleInfo *geometry, ExceptionInfo *exception)
MagickExport Image * | FlipImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | FlopImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | RollImage (const Image *image, const long x_offset, const long y_offset, ExceptionInfo *exception)
MagickExport Image * | ShaveImage (const Image *image, const RectangleInfo *shave_info, ExceptionInfo *exception)
MagickExport Image * | SpliceImage (const Image *image, const RectangleInfo *geometry, ExceptionInfo *exception)
MagickExport MagickBooleanType | TransformImage (Image **image, const char *crop_geometry, const char *image_geometry)
MagickExport MagickBooleanType | TransformImages (Image **images, const char *crop_geometry, const char *image_geometry)
MagickExport Image * | TransposeImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | TransverseImage (const Image *image, ExceptionInfo *exception)
MagickExport Image * | TrimImage (const Image *image, ExceptionInfo *exception)

## Define Documentation

#define ChopImageTag "Chop/Image"

#define CropImageTag "Crop/Image"

#define ExcerptImageTag "Flip/Image"

#define FlipImageTag "Flip/Image"

#define FlopImageTag "Flop/Image"

#define RollImageTag "Roll/Image"

#define SpliceImageTag "Splice/Image"

#define TransposeImageTag "Transpose/Image"

#define TransverseImageTag "Transverse/Image"

## Function Documentation

MagickExport Image* ChopImage | ( | const Image * | image,
|  | const RectangleInfo * | chop_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ConsolidateCMYKImages | ( | const Image * | images,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* CropImage | ( | const Image * | image,
|  | const RectangleInfo * | geometry,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ExcerptImage | ( | const Image * | image,
|  | const RectangleInfo * | geometry,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ExtentImage | ( | const Image * | image,
|  | const RectangleInfo * | geometry,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* FlipImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* FlopImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* RollImage | ( | const Image * | image,
|  | const long | x_offset,
|  | const long | y_offset,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ShaveImage | ( | const Image * | image,
|  | const RectangleInfo * | shave_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* SpliceImage | ( | const Image * | image,
|  | const RectangleInfo * | geometry,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType TransformImage | ( | Image ** | image,
|  | const char * | crop_geometry,
|  | const char * | image_geometry |
| ) |  |  |

MagickExport MagickBooleanType TransformImages | ( | Image ** | images,
|  | const char * | crop_geometry,
|  | const char * | image_geometry |
| ) |  |  |

MagickExport Image* TransposeImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* TransverseImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* TrimImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |